Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
  1. Visualizations
  2. Generate an index PNG for a visualization

Generate an index PNG for a visualization

Generates an on-the-fly PNG of the index for a given date and mode, with legend overlay. Returns the PNG image as binary data.

POST/v0/aois/{aoi_id}/visualizations/{visualization_id}/png
Authorisations
AuthorizationString
Path Parameters
aoi_idstringrequired
AOI ID
visualization_idstringrequired
Visualization ID
Request Body
index_idstringrequired
UUID of the index to compute the preview forExample: "3fa85f64-5717-4562-b3fc-2c963f66afa6"
datestringrequired
Date string, e.g. 2024_05_06Example: "2024_05_06"
visualization_modestringrequired
Legend mode to use: 'dynamic' or 'theoretical'Example: "dynamic"
Response
image/png
OK
Generate an index PNG for a visualization
cURL
Python
Go
TypeScript
1curl -X POST 'https://api.pixxel.space/v0/aois/{aoi_id}/visualizations/{visualization_id}/png' \
2 -H 'Authorization: YOUR_API_KEY' \
3 -H 'Content-Type: application/json' \
4 -d '{
5 "index_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
6 "date": "2024_05_06",
7 "visualization_mode": "dynamic"
8}'
Response:
"string"
Rollback visualization metadataGenerate SLD styles for a visualization